﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Resources;

namespace CRMAdminDashboard
{
    static class Program
    {

        #region Fields

        /// <summary>
        /// Default Resource Manager
        /// </summary>
        private static ResourceManager _resourceManager;
        
        #endregion
        
        #region Properties
        
        /// <summary>
        /// Default Resource Manager
        /// </summary>
        public static ResourceManager RManager
        {
            get
            {
                if (_resourceManager == null)
                {
                    _resourceManager = new ResourceManager(typeof(Properties.Resources));
                }
                return _resourceManager;
            }
        }
        
        #endregion
        
        #region Entry Points
        
        /// <summary>
        /// Get string resource
        /// </summary>
        public static string GetResString(string resName)
        {
            return RManager.GetString(resName);
        }

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new FormLogin());
        }
        
        #endregion

    }
}
